org.jbpm.services.task.commands

## Class GetCompletedTasksCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<List<org.kie.api.task.model.TaskSummary>>
  - - org.jbpm.services.task.commands.GetCompletedTasksCommand

- All Implemented Interfaces:
    Serializable, org.kie.api.command.Command<List<org.kie.api.task.model.TaskSummary>>, org.kie.api.command.ExecutableCommand<List<org.kie.api.task.model.TaskSummary>>, org.kie.internal.command.ProcessInstanceIdCommand

      public class GetCompletedTasksCommand
      extends TaskCommand<List<org.kie.api.task.model.TaskSummary>>
      implements org.kie.internal.command.ProcessInstanceIdCommand

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetCompletedTasksCommand()`
    `GetCompletedTasksCommand(Date date)`
    `GetCompletedTasksCommand(Long processInstanceId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.kie.api.task.model.TaskSummary>` | `execute(org.kie.api.runtime.Context cntxt)`
    `Date` | `getDate()`
    `Long` | `getProcessInstanceId()`
    `void` | `setDate(Date date)`
    `void` | `setProcessInstanceId(Long processInstanceId)`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetCompletedTasksCommand

          public GetCompletedTasksCommand()

    - #### GetCompletedTasksCommand

          public GetCompletedTasksCommand(Long processInstanceId)

    - #### GetCompletedTasksCommand

          public GetCompletedTasksCommand(Date date)

  - ### Method Detail

    - #### getDate

          public Date getDate()

    - #### setDate

          public void setDate(Date date)

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

      Specified by:
        `getProcessInstanceId` in interface `org.kie.internal.command.ProcessInstanceIdCommand`

    - #### setProcessInstanceId

          public void setProcessInstanceId(Long processInstanceId)

      Specified by:
        `setProcessInstanceId` in interface `org.kie.internal.command.ProcessInstanceIdCommand`

    - #### execute

          public List<org.kie.api.task.model.TaskSummary> execute(org.kie.api.runtime.Context cntxt)

      Specified by:
        `execute` in interface `org.kie.api.command.ExecutableCommand<List<org.kie.api.task.model.TaskSummary>>`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.